Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.event
Interface TransactionCommitListener

All Superinterfaces:
  TransactionListener

public interface TransactionCommitListener
extends TransactionListener

An entity that wishes to be notified on PersistenceManager transactional commits.

Since:
  2.5.0

Method Summary
`void` | `beforeTransactionCommit(PersistenceManagerImpl pm, Set added, Set updated, Set deleted)` Notification that a transaction is about to commit.
`void` | `transactionCommitted(PersistenceManagerImpl pm, Set added, Set updated, Set deleted)` Notification that a transaction has successfully committed.

Method Detail

### beforeTransactionCommit

    public void beforeTransactionCommit(PersistenceManagerImpl pm,
                                        Set added,
                                        Set updated,
                                        Set deleted)

  Notification that a transaction is about to commit. `added`, `updated`, and `deleted` are sets of `StateManagerImpl` objects that will be added, updated, or deleted, respectively.

  It is legitimate to perform additional persistence work in this method; the changes will participate in the current transaction.

  Note that this list does not include objects that were made persistent by reachability only, or that were deleted because they were members of a dependent relation, or that were added/modified/deleted during an InstanceCallbacks.

  Parameters:
    `pm` - The `PersistenceManagerImpl` whose transaction is about to commit.

### transactionCommitted

    public void transactionCommitted(PersistenceManagerImpl pm,
                                     Set added,
                                     Set updated,
                                     Set deleted)

  Notification that a transaction has successfully committed. `added`, `updated`, and `deleted` are sets of `StateManagerImpl` objects that were added, updated, or deleted, respectively.
  Parameters:
    `pm` - The `PersistenceManagerImpl` whose transaction was committed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.